global mainFolder, thisIsA_PC

on startMovie
  tell the stage
    cursorNormal()
  end tell
  set the textHeight of member "CreatorDisplay" to 10
end

on openWindow
  tell the stage
    cursorNormal()
  end tell
end

on activateWindow
  moveToFront(window "Info")
  tell the stage
    cursorNormal()
  end tell
end

on displayInfoAbout theSelected, theSelectedIcon, iconName, creditField
  if not stringp(iconName) then
    set iconName to "Geek Browser"
  end if
  if thisIsA_PC then
    set machine to "PC"
  else
    set machine to "Mac"
  end if
  if thisIsA_PC then
    set the title of window "Info" to "Egenskaper for " & iconName
  else
    set the title of window "Info" to iconName & " info"
  end if
  if (theSelected = 0) or (theSelectedIcon = 0) then
    set the picture of member "GeneralIcon" to the picture of member "EmptyBitMap"
    set the text of member "ObjDisplay" to iconName
    set the text of member "TypeDisplay" to machine & " desktop simulator"
    set the text of member "DateDisplay" to "apr - juli 1997"
    if thisIsA_PC then
      set the text of member "CreatorDisplay" to "Mikael Grahn (konsept & programmering), Trygve Eikland (programmering), Øyvind Sagåsen (grafikk)"
    else
      set the text of member "CreatorDisplay" to "Mikael Grahn"
    end if
    set the text of member "VersionDisplay" to "1.1"
    set the text of member "CommentsDisplay" to EMPTY
  else
    set the picture of member "GeneralIcon" to theSelectedIcon
    set the text of member "ObjDisplay" to iconName
    set the text of member "TypeDisplay" to getCreditData(creditField, 1)
    set the text of member "DateDisplay" to getCreditData(creditField, 2)
    set the text of member "CreatorDisplay" to getCreditData(creditField, 3)
    set the text of member "VersionDisplay" to getCreditData(creditField, 4)
    set the text of member "CommentsDisplay" to getCreditData(creditField, 5)
  end if
  go("Info" & machine)
end

on getCreditData creditField, theLine
  set qLine to line theLine of creditField
  if qLine = EMPTY then
    return EMPTY
  end if
  if qLine contains "//" then
    set qLine to replaceString(qLine, "//", RETURN)
  end if
  return word 2 to the number of words in qLine of qLine
end
